summaryrefslogtreecommitdiffstats
path: root/source/d/swig/swig.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/swig/swig.SlackBuild')
-rwxr-xr-xsource/d/swig/swig.SlackBuild10
1 files changed, 5 insertions, 5 deletions
diff --git a/source/d/swig/swig.SlackBuild b/source/d/swig/swig.SlackBuild
index e3b4982c1..2afe26d31 100755
--- a/source/d/swig/swig.SlackBuild
+++ b/source/d/swig/swig.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2009 Robby Workman, Northport, Alabama, USA
-# Copyright 2009, 2010, 2011, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,8 +24,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=swig
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -64,7 +64,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf swig-$VERSION
-tar xvf $CWD/swig-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/swig-$VERSION.tar.?z || exit 1
cd swig-$VERSION
chown -R root:root .
find . \
@@ -110,7 +110,7 @@ fi
mkdir -p $PKG/usr/doc/swig-$VERSION
cp -a \
- ANNOUNCE CHANGES* COPYING* FUTURE INSTALL LICENSE NEW README TODO \
+ ANNOUNCE CHANGES* COPY* FUTURE INSTALL LICENSE* NEW* README* RELEASENOTES TODO \
Examples Doc/Manual Doc/Devel \
$PKG/usr/doc/swig-$VERSION
# Fix permissions and wipe the pdf bloat